using System.ComponentModel;

namespace SWRIS.Models
{
    public class ModuleStateModel : INotifyPropertyChanged
    {
        private bool isOnline = true;
        public bool IsOnline
        {
            get { return isOnline; }
            set { isOnline = value; OnPropertyChanged("IsOnline"); }
        }
        public ModuleStateModel(bool isOnline)
        {
            this.isOnline = isOnline;
        }
        public int Depth { get; set; } = 0;
        public event PropertyChangedEventHandler PropertyChanged;
        protected internal virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}